## com.sun.jersey.api.client
Class AbstractClientRequestAdapter

    java.lang.Object
      com.sun.jersey.api.client.AbstractClientRequestAdapter

All Implemented Interfaces:
  ClientRequestAdapter

    public abstract class AbstractClientRequestAdapter

extends java.lang.Object
implements ClientRequestAdapter

Abstract implementation of ClientRequestAdapter that helps to adapt an existing ClientRequestAdapter instance.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`protected` | `AbstractClientRequestAdapter(ClientRequestAdapter cra)`

Method Summary
`ClientRequestAdapter` | `getAdapter()` Get the adapted client request adapter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.jersey.api.client.ClientRequestAdapter
`adapt`

Constructor Detail

### AbstractClientRequestAdapter

    protected AbstractClientRequestAdapter(ClientRequestAdapter cra)

Method Detail

### getAdapter

    public ClientRequestAdapter getAdapter()

  Get the adapted client request adapter.

  Returns:
    the adapted client request adapter.

Copyright © 2017 Oracle Corporation. All Rights Reserved.